Page MenuHomePhabricator

-{ ... }- markup breaks tables
Closed, ResolvedPublic

Description

Given the follow wikitext:

{|
|-
| -{R|B}-
|}

the PHP parser treats B}- as a second cell in the table.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
StalledNone
Resolvedovasileva
OpenNone
DuplicateNone
StalledABorbaWMF
OpenNone
ResolvedPchelolo
Resolvedmobrovac
ResolvedPchelolo
ResolvedJdforrester-WMF
ResolvedMarkTraceur
ResolvedJdforrester-WMF
Resolvedcscott
OpenNone
OpenNone
OpenNone
OpenNone
Opencscott
OpenNone
Opencscott
Invalid GWicke
Resolvedliangent
Resolvedthiemowmde
OpenNone
Resolvedcscott
Resolvedcscott
Opencscott
Opencscott
Opencscott

Event Timeline

cscott created this task.Dec 13 2016, 10:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 10:56 PM

Change 327127 had a related patch set uploaded (by C. Scott Ananian):
Don't parse language converter markup as a cell parameter in tables.

https://gerrit.wikimedia.org/r/327127

Change 327127 merged by jenkins-bot:
Don't parse language converter markup as a cell parameter in tables.

https://gerrit.wikimedia.org/r/327127

ssastry moved this task from Backlog to In Progress on the MediaWiki-Parser board.Jan 4 2017, 7:26 PM
ssastry triaged this task as Normal priority.
cscott closed this task as Resolved.Mar 30 2017, 8:26 PM